#include <QApplication>
#include <QClipboard>
#include <QVBoxLayout>

#include "button.h"

Button::Button() {
  QLayout* layout = new QVBoxLayout(this);
  button = new QPushButton("Hello");
  layout->addWidget(button);
  connect(button, SIGNAL(clicked()), this, SLOT(clicked()));
}

Button::~Button() {
  delete button;
}

void Button::clicked() {
  QApplication::clipboard()->setText("Clicked", QClipboard::Selection);
}
